#region Copyright (c) 2005
/*
{*******************************************************************}
{                                                                   }
{       Copyright (c) 2005                                          }
{		Author: Liewen Huang                                        }
{       ALL RIGHTS RESERVED                                         }
{                                                                   }
{*******************************************************************}
*/
#endregion
using System;

namespace SampleLRM
{
	/// <summary>
	/// The class for a resource row.
	/// </summary>
	public class ResourceRow
	{
		public ResourceRow(string invariantStringValue, 
			string resourceFilePath, 
			string resourceName, 
			string localizedValue, 
			bool isANewResource)
		{
			InvariantStringValue = invariantStringValue;
			ResourceFilePath = resourceFilePath;
			ResourceName = resourceName;
			LocalizedValue = localizedValue;
			IsANewResource = isANewResource;
		}

		public string InvariantStringValue;
		public string ResourceFilePath;
		public string ResourceName;
		public string LocalizedValue;
		public bool IsANewResource;
	}
}
